.filters {
  width: 200px;
}

.filters section {
  &:not(:last-of-type),
  &:not(:first-of-type) {
    margin-bottom: 20px;
  }

  h3 {
    margin-bottom: 10px;
  }

  &.types ul {
    list-style: none;
    padding: 0;
  }

  &.types ul li a {
    text-decoration: none;
    color: inherit;
    font-family: inherit;
    font-size: inherit;
  }

  &.types ul li:not(:last-child) {
    margin-bottom: 10px;
  }

  &.search {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;

    .search-form {
      display: flex;
      align-items: center;
      justify-content: center;
    }

    .input,
    .submit {
      display: inline-block;
      padding: 5px;
      font-size: 20px;
      border-radius: 0;
      outline: none;
      -webkit-appearance: none;
    }

    .input {
      border: 1px solid lightgray;
      width: 100%;
    }
  }

  &.brands,
  &.sizes {
    display: flex;
    flex-direction: column;
    font-size: 16px;
  }
}

.prices .range-form {
  max-width: 200px;
  display: flex;
  justify-content: space-between;

  .input,
  .submit {
    display: inline-block;
    font-size: 20px;
    border-radius: 0;
    outline: none;
    -webkit-appearance: none;
  }

  .input {
    border: 1px solid lightgray;
    padding: 5px;
    width: 50px;
  }

  .submit {
    padding: 5px 10px;
  }
}

.submit {
  background-color: red;
  border: 2px solid transparent;
  cursor: pointer;
}

/* Customize the label (the container) */
.container {
  display: inline-block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 16px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  /* Hide the browser's default checkbox */
  input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }

  /* Create a custom checkbox */
  .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #fff;
    border: 1px solid lightgray;
  }
}

/* On mouse-over, add a gray background color */
.container:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.container input:checked ~ .checkmark {
  background-color: #2196f3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: '';
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.container .checkmark:after {
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  left: 5px;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.left-arrow-container {
  display: none;
  position: absolute;
  width: 100%;
}

.left-arrow {
  border-color: transparent red;
  border-style: solid;
  border-width: 8px 8px 8px 0px;
  height: 0px;
  width: 0px;
  transition: transform 200ms ease;

  &.open {
    transform: rotate(-90deg);
  }

  &:hover {
    cursor: pointer;
  }
}

@media screen and (max-width: 1200px) {
  .filters {
    width: 100%;
  }

  .left-arrow-container {
    display: flex;
    justify-content: flex-end;
    position: relative;
  }
}